Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface SequenceRule

    @UML(identifier="CV_SequenceRule",
         specification=ISO_19123)
    public interface SequenceRule

Contains information for mapping grid coordinates to a position within the sequence of records of feature attribute values.

Method Summary
`List<String>` | `getScanDirection()` Returns a list of signed axis names that indicates the order in which grid points shall be mapped to position within the sequence of records of feature attribute values.
`SequenceType` | `getType()` Identifies the type of sequencing method that shall be used.

Method Detail

### getType

    @UML(identifier="type",
         obligation=MANDATORY,
         specification=ISO_19123)
    SequenceType getType()

  Identifies the type of sequencing method that shall be used. The default value shall be "linear".

### getScanDirection

    @UML(identifier="scanDirection",
         obligation=MANDATORY,
         specification=ISO_19123)
    List<String> getScanDirection()

  Returns a list of signed axis names that indicates the order in which grid points shall be mapped to position within the sequence of records of feature attribute values. An additional element may be included in the list to allow for interleaving of feature attribute values. Example: `{"x", "-y"}`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.